httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jerenkra...@ebuilt.com>
Subject Re: Fwd: DSO broken on MacOS X 10.1
Date Tue, 13 Nov 2001 04:19:10 GMT
On Mon, Nov 12, 2001 at 12:46:00AM -0800, Aaron Bannert wrote:
> Has anyone had a chance to try this out? This was also my first thought
> when the -bundle_loader option for MacOS X was first suggested a month
> or two ago.

-bundle_loader isn't going to work at all without something
getting thrown to the libtool people as they seem to be passing 
-flat_namespace in all cases now on OS 10.1.  We'd need to see
how darwin's ld handles conflicting options - my guess would be
an error condition.  So, this doesn't seem to be something we
can do on our own.

Based on the amount of time I've spent on moof trying to get this
to work, I'm tending to agree with Fred - bite the bullet and use
one-level namespaces in all cases.  It doesn't add much anyway
because the all other platforms have flat namespaces.  -- justin


Mime
View raw message